Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - i -

- i2c_master_0_int_mask : qm_interrupt_router_reg_t
- i2c_master_1_int_mask : qm_interrupt_router_reg_t
- i2s_0_int_mask : qm_interrupt_router_reg_t
- i2s_clk_freq : qm_i2s_clock_cfg_data_t
- i2s_clock_sel : qm_i2s_clock_cfg_data_t
- i2s_ext_clk_freq : qm_i2s_clock_cfg_data_t
- i2s_mclk_divisor : qm_i2s_clock_cfg_data_t
- i2s_mclk_output_en : qm_i2s_clock_cfg_data_t
- ic_ack_general_call : qm_i2c_reg_t
- ic_clr_activity : qm_i2c_reg_t
- ic_clr_gen_call : qm_i2c_reg_t
- ic_clr_intr : qm_i2c_reg_t
- ic_clr_rd_req : qm_i2c_reg_t
- ic_clr_restart_det : qm_i2c_reg_t
- ic_clr_rx_done : qm_i2c_reg_t
- ic_clr_rx_over : qm_i2c_reg_t
- ic_clr_rx_under : qm_i2c_reg_t
- ic_clr_start_det : qm_i2c_reg_t
- ic_clr_stop_det : qm_i2c_reg_t
- ic_clr_tx_abrt : qm_i2c_reg_t
- ic_clr_tx_over : qm_i2c_reg_t
- ic_comp_param_1 : qm_i2c_reg_t
- ic_comp_type : qm_i2c_reg_t
- ic_comp_version : qm_i2c_reg_t
- ic_con : qm_i2c_reg_t
- ic_data_cmd : qm_i2c_reg_t
- ic_dma_cr : qm_i2c_reg_t
- ic_dma_rdlr : qm_i2c_reg_t
- ic_dma_tdlr : qm_i2c_reg_t
- ic_enable : qm_i2c_reg_t
- ic_enable_status : qm_i2c_reg_t
- ic_fs_scl_hcnt : qm_i2c_reg_t
- ic_fs_scl_lcnt : qm_i2c_reg_t
- ic_fs_spklen : qm_i2c_reg_t
- ic_hs_maddr : qm_i2c_reg_t
- ic_hs_scl_hcnt : qm_i2c_reg_t
- ic_hs_scl_lcnt : qm_i2c_reg_t
- ic_hs_spklen : qm_i2c_reg_t
- ic_intr_mask : qm_i2c_context_t , qm_i2c_reg_t
- ic_intr_stat : qm_i2c_reg_t
- ic_raw_intr_stat : qm_i2c_reg_t
- ic_rx_tl : qm_i2c_reg_t
- ic_rxflr : qm_i2c_reg_t
- ic_sar : qm_i2c_reg_t
- ic_sda_hold : qm_i2c_reg_t
- ic_sda_setup : qm_i2c_reg_t
- ic_ss_scl_hcnt : qm_i2c_reg_t
- ic_ss_scl_lcnt : qm_i2c_reg_t
- ic_status : qm_i2c_reg_t
- ic_tar : qm_i2c_reg_t
- ic_tx_abrt_source : qm_i2c_reg_t
- ic_tx_tl : qm_i2c_reg_t
- ic_txflr : qm_i2c_reg_t
- icr : qm_lapic_reg_t , qm_mvic_reg_t , qm_spi_reg_t
- id : qm_lapic_reg_t , qm_scss_gp_reg_t , qm_scss_info_reg_t
- id_high : qm_dma_misc_reg_t
- id_low : qm_dma_misc_reg_t
- idr : qm_spi_reg_t
- ier : qm_uart_context_t
- ier_dlh : qm_uart_reg_t
- iir_fcr : qm_uart_reg_t
- imr : qm_spi_reg_t
- inc_run_only : qm_ss_timer_config_t
- init_val : qm_rtc_config_t
- int_bothedge : qm_gpio_port_config_t , qm_ss_gpio_port_config_t
- int_debounce : qm_gpio_port_config_t , qm_ss_gpio_port_config_t
- int_en : qm_aonpt_config_t , qm_gpio_port_config_t , qm_pic_timer_config_t , qm_ss_gpio_port_config_t , qm_ss_timer_config_t
- int_polarity : qm_gpio_port_config_t , qm_ss_gpio_port_config_t
- int_type : qm_gpio_port_config_t , qm_ss_gpio_port_config_t
- intstatus : qm_pwm_channel_t
- irq_config : qm_irq_context_t
- irq_ctrl : qm_irq_context_t
- irr : qm_lapic_reg_t , qm_mvic_reg_t
- isr : qm_lapic_reg_t , qm_mvic_reg_t , qm_spi_reg_t